Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2090 - nfs creates a directory that it can't use from Solaris
Summary: nfs creates a directory that it can't use from Solaris
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: nfs-server
Version: 5.2
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-04-09 16:59 UTC by markw
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-12-15 04:13:35 UTC


Attachments (Terms of Use)

Description markw 1999-04-09 16:59:06 UTC
It seems that if, in rapid succession, if one creates a
file, then deletes it, then creates a directory, the
directory receives the same inode as the deleted file. The
file information is still cached, and nfs does not see it as
a directory. ls does, list it as a dir most of the time.

This happens on RedHat Linux 5.1 and 5.2, and 5.2 with
kernel nfs. The clients are Solaris and Digital UNIX.

Comment 1 Alan Cox 2002-12-15 04:13:35 UTC
unfsd is expired and gone



Note You need to log in before you can comment on or make changes to this bug.